# Global

##

### Members

#### (constant) FENCE_WIDTH :number

Sprite Fencing - The number of pixels a sprite is required to leave remaining onscreen around the edge of the staging area.

##### Type:

- number

### Type Definitions

#### DrawableExtraction

##### Properties:

Name | Type | Description
--- | --- | ---
`data` | Uint8Array | Raw pixel data for the drawable
`width` | int | Drawable bounding box width
`height` | int | Drawable bounding box height
`scratchOffset` | Array.<number> | [x, y] offset in Scratch coordinates from the drawable position to the client x, y coordinate
`x` | int | The x coordinate relative to drawable bounding box
`y` | int | The y coordinate relative to drawable bounding box